org.apache.sysds.runtime.compress.colgroup

## Class ColGroupConverter

- java.lang.Object
- - org.apache.sysds.runtime.compress.colgroup.ColGroupConverter

-     public class ColGroupConverter
      extends Object

  Utility functions for ColGroup to convert ColGroups or MatrixBlocks. to other representations.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ColGroupConverter()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ColGroup` | `copyColGroup(ColGroup group)` Copy col group instance with deep copy of column indices but shallow copy of actual contents;
    `static double[]` | `getDenseVector(MatrixBlock vector)` Extract the double array primitive from a Matrix Block that is an vector.
    `static MatrixBlock` | `getUncompressedColBlock(ColGroup group)` Extracts the Uncompressed MatrixBlock representation of a Col Group

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ColGroupConverter

          public ColGroupConverter()

  - ### Method Detail

    - #### copyColGroup

          public static ColGroup copyColGroup(ColGroup group)

      Copy col group instance with deep copy of column indices but shallow copy of actual contents;
      Parameters:
        `group` - column group
      Returns:
        column group (deep copy of indices but shallow copy of contents)

    - #### getDenseVector

          public static double[] getDenseVector(MatrixBlock vector)

      Extract the double array primitive from a Matrix Block that is an vector.
      Parameters:
        `vector` - The Matrix block vector
      Returns:
        The double array primitive

    - #### getUncompressedColBlock

          public static MatrixBlock getUncompressedColBlock(ColGroup group)

      Extracts the Uncompressed MatrixBlock representation of a Col Group
      Parameters:
        `group` - an ColGroup to decompress
      Returns:
        A MatrixBlock.

Copyright © 2020 The Apache Software Foundation. All rights reserved.